package ervu.model.fileupload;

/**
 * @author Alexandr Shalaginov
 */
public enum EmployeeInfoFileFormType {
  FORM_2("2", "Изменения сведений сотрудников, необходимых для ведения воинского учета"),
  FORM_9("9", "Сведение о приеме на работу (увольнении), зачислении в образовательное учреждение (отчислении)"),
  FORM_10("10", "Сообщение о гражданах, не состоящих, но обязанных состоять на воинском учете"),
  FORM_11("11", "Ежегодное предоставление списка граждан мужского пола, подлежащих постановке на воинский учет в следующем году по достижении 17-летнего возраста"),
  FORM_12("12", "Ежегодное предоставление списка сотрудников/обучающихся в организации, подлежащих воинскому учету");

  private String filePatternCode;
  private String filePatternName;

  EmployeeInfoFileFormType(String filePatternCode, String filePatternName) {
    this.filePatternCode = filePatternCode;
    this.filePatternName = filePatternName;
  }

  public String getFilePatternCode() {
    return filePatternCode;
  }

  public String getFilePatternName() {
    return filePatternName;
  }
}
